For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

All Forum Topics

Topic Replies Last reply
Construct a TopDS_Face on a torus delimited by ellipse projection
5 months 2 weeks ago
7
By Matthieu Dubuget 5 months 1 week ago
A proper way to make animation of AIS_Shape on scene
5 months 2 weeks ago
8
By Kirill Gavrilov 5 months 2 weeks ago
Windows 7.3.0 binary distribution .cmake files contain absolute library paths
5 months 2 weeks ago
0 n/a
BRepBuilderAPI_MakeWire - actions on a non-connectable edge [possible logical error]
5 months 2 weeks ago
6
By Ivan P 5 months 1 week ago
recipe for target 'Standard_CString.lo' failed
5 months 3 weeks ago
1
By Kirill Gavrilov 5 months 3 weeks ago
BRepTools_ReShape
5 months 3 weeks ago
0 n/a
Prs3d_Projector to project on any surfaceplane
5 months 3 weeks ago
1
By Guido van Hilst... 5 months 2 weeks ago
Display a line in view
5 months 3 weeks ago
1
By Ivan P 5 months 3 weeks ago
Good external documentation for Open Cascade beginners
6 months 6 hours ago
1
By Guido van Hilst... 5 months 2 weeks ago
How to rotate the whole scene?
6 months 3 days ago
2
By Ivan P 6 months 16 hours ago
Merge nearby edges of faces
6 months 3 days ago
0 n/a
Incorrect work of BRepAlgoAPI_Common
6 months 4 days ago
0 n/a
How to create a section view?
6 months 4 days ago
2
By Dmitrii Baranov 6 months 3 days ago
Load Step File
6 months 1 week ago
0 n/a
Making BRepTools_WireExplorer work for wire with TopAbs_INTERNAL and TopAbs_EXTERNAL edges
6 months 1 week ago
0 n/a
Open CASCADE Products 7.3.0 are available!
6 months 1 week ago
0 n/a
BREPOFFSETAPI_THRUSECTIONS Fails in building a shape with four wires.
6 months 1 week ago
0 n/a
Installation successful, but error while rebuilding
6 months 2 weeks ago
1
By Amit Kumar bedaka 2 months 1 day ago
Guidance for using OCC in Windows 10
6 months 2 weeks ago
1
By Kirill Gavrilov 6 months 2 weeks ago
How to correctly create a bounded face from a Geom_BSplineSurface
6 months 2 weeks ago
0 n/a
STEP validation properties
6 months 2 weeks ago
1
By Andrey BETENEV 6 months 2 weeks ago
TopoDS_Edge over a seam of a closed surface
6 months 3 weeks ago
0 n/a
Open CASCADE Technology 7.3.0 is available for download!
6 months 3 weeks ago
5
By Kirill Gavrilov 3 months 2 weeks ago
Installing OpenCascade for Visual Studio 2017: almost there except for build errors
6 months 3 weeks ago
3
By John Bijnens 4 months 4 weeks ago
CAD Assistant - measurent tools ?
6 months 4 weeks ago
1
By Forum supervisor 6 months 4 weeks ago
How to speed up import of IGES data.
7 months 1 day ago
1
By Forum supervisor 7 months 1 day ago
BRepMesh_IncrementalMesh fails with specific deflection parameters
7 months 5 days ago
0 n/a
Reassigning the window to V3d_View will freeze the model. A bug? (OCCT 7.2)
7 months 6 days ago
0 n/a
Wrong result of SelectMgr_RectangularFrustum::IsClipped
7 months 1 week ago
0 n/a
Manually create BREP
7 months 1 week ago
0 n/a
estimate the relative position of a point and another solid
7 months 1 week ago
1
By Anton Shabalin 6 months 3 weeks ago
how to judge adjacency?
7 months 1 week ago
1
By Benjamin Bihler 7 months 1 week ago
Determine if point is an touch point or intersection point of curves
7 months 1 week ago
3
By Eugeny 7 months 1 week ago
Modified shapes in BRepBuilderAPI_MakeWire (and other subclasses of BRepBuilderAPI_MakeShape)
7 months 2 weeks ago
0 n/a
Build samples for Windows
7 months 2 weeks ago
1
By Kirill Gavrilov 7 months 2 weeks ago
launch draw.bat failed and launch DRAWEXE.exe failed
7 months 2 weeks ago
2
By kaijun guo 7 months 2 weeks ago
OCC 6.3 vs. OCC 7.2 drastic drop in boolean op performance?
7 months 2 weeks ago
1
By Forum supervisor 7 months 2 weeks ago
CAD assistant can't start. The procedure entry point ucrtbase.terminate could not be located
7 months 2 weeks ago
4
By gene ei 7 months 1 week ago
The function GetColor in XCAFDoc_ColorTool can not work?
7 months 2 weeks ago
2
By JIN JIN 7 months 2 weeks ago
Splitting edge on cylinder
7 months 2 weeks ago
1
By Adam Updegrove 7 months 2 weeks ago
Error when running script on Xcode
7 months 2 weeks ago
3
By Madhu Vanam 7 months 2 weeks ago
Best practice to store a sub-shape in OCAF hierarchy
7 months 2 weeks ago
2
By Daniel Woodman 7 months 2 weeks ago
Is it possible to use BRepBuilderAPI_Sewing to sew three connected tubes together?
7 months 3 weeks ago
5
By Adam Updegrove 5 months 5 days ago
Get 3D mouse position with the depth buffer
7 months 3 weeks ago
4
By Hugues Delorme 6 months 1 week ago
Make filling with holes (BRepFill_Filling)
7 months 3 weeks ago
0 n/a
STEPControl_Reader cuase ASSERT failed
7 months 3 weeks ago
0 n/a
CAD Assitant on Mavericks
7 months 4 weeks ago
3
By Kirill Gavrilov 7 months 2 weeks ago
Reading a point cloud
8 months 1 day ago
6
By Guido van Hilst... 7 months 3 weeks ago
entity error
8 months 3 days ago
8
By Derrek Curtis 7 months 2 weeks ago
Reading STEP entity id slow ?
8 months 5 days ago
2
By Benjamin Bihler 7 months 4 weeks ago